body,
html {
	background-color: #f7d3f8;
	font-family: "Lato", sans-serif;
	margin: 0;
	padding: 0;
	scroll-behavior: smooth;
}
* {
	padding: 0;
	margin: 0;
}

ul {
	display: flex;
	justify-content: space-around;
	list-style: none;
	align-items: center;
}

.menu {
	margin: 15px auto 0 auto;
	max-width: 600px;
}

#icon {
	font-size: 18px;
	display: flex;
	letter-spacing: 5px;
}

a {
	text-decoration: none;
	color: rgba(110, 60, 110, 1);
}

.menu a {
	display: inline-block;
	position: relative;
	text-decoration: none;
	transition: color, 0.5s;
}

.menu a:hover,
.option:hover {
	color: rgba(110, 60, 110, 1);
}

.menu a:not(.bez_efektu):after,
.option:after {
	background: none repeat scroll 0 0 transparent;
	bottom: 0px;
	content: "";
	display: block;
	height: 2px;
	right: 0;
	position: absolute;
	background: rgb(165, 74, 165);
	transition: width 0.3s ease 0s, left 0.3s ease 0s;
	width: 0;
}

.menu a.aktywne:not(.bez_efektu):after {
	width: 100%;
}

.menu a:hover:after,
.option:hover:after {
	width: 100%;
	left: 0;
}

.option {
	margin: 0 10px;
	display: inline-block;
	position: relative;
	text-decoration: none;
	transition: color, 0.5s;
}

#section_1 {
	display: flex;
}

#wrapper {
	width: 1250px;
	max-width: 80%;
	margin: 0 auto;
	min-height: calc(100vh - 65px);
}

#text_1 {
	font-size: 1em;
	font-weight: 400;
}
#text_2 {
	font-size: 2.2em;
	font-weight: 900;
}
#text_3 {
	font-size: 1.2em;
	font-weight: 700;
}
#text_4 {
	font-size: 0.9em;
	font-weight: 300;
	line-height: 25px;
}

#text_5,
#text_2a,
#text_1a {
	font-size: 3.75em;
	font-weight: 900;
	color: #4f2056;
	letter-spacing: 20px;
}
#text_2a,
#text_1a {
	font-size: 1em;
}

#text_6 {
	font-size: 17px;
	font-weight: 700;
}

#text_7 {
	font-size: 16px;
	font-weight: 700;
}

#napis img {
	margin-top: 30px;
	width: 50%;
	margin-bottom: 40px;
}

.kontakt {
	background-color: #edb0ee;
	width: 95px;
	height: 30px;
	text-align: center;
	padding-top: 10px;
	box-shadow: 2px 2px 10px -4px gray;
	color: rgba(110, 60, 110, 1);
	border-radius: 1px;
	transition: background-color, color, 0.5s;
}
.kontakt:hover {
	text-decoration: none;
	color: #edb0ee;
	background-color: rgba(110, 60, 110, 1);
}

#footer ul {
	display: flex;
	justify-content: space-around;
	list-style: none;
	color: #f7d3f8;
	padding: 0;
	margin: 0;
	align-items: center;
	padding: 20px 0;
}

#footer {
	background-color: #4f2056;
	width: 100%;
	left: 0;
	bottom: 0;
	height: 60px;
}

#footer a {
	text-decoration: none;
	color: #f7d3f8;
}

#footer a:hover {
	text-decoration: underline;
	color: #f7d3f8;
}
.oferta {
	display: flex;
	align-items: center;
}

.oferta_first {
	width: 50%;
}
.oferta_last {
	width: 50%;
}

.ofertaa {
	display: flex;
	align-items: center;
}

.ofertaa div:first-child {
	width: 60%;
}
.ofertaa div:last-child {
	width: 40%;
}
.ofertaa div:first-child img {
	width: 100%;
	margin-left: -11.8%;
}
.ofertaa div:last-child img {
	width: 100%;
	margin-top: 20px;
}

.oferta_2 {
	display: grid;
	grid-template-columns: repeat(3, minmax(0, 1fr));
	gap: 1em 1em;
	margin-bottom: 3rem;
}

.oferta_obrazki a,
.label1 {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.oferta_obrazki img {
	width: 70%;
}
.przycisk {
	margin-top: 0.1rem;
	width: 100%;
	text-align: center;
	padding: 0.6rem 0;
	box-shadow: 0 0 10px -4px gray;
	color: #ffffff;
	background-color: #9f77a5;
	border-radius: 3px;
	transition: background-color, color, 0.5s;
}
.kon_cen {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 50px;
	width: 280px;
}

.zapraszam {
	width: 650px;
	margin-bottom: 40px;
	margin-top: 70px;
}
.gra_of {
	width: 50%;
	min-width: 150px;
	float: right;
}
.przycisk_cof a {
	margin-bottom: 30px;
	display: inline-flex;
	align-items: center;
	margin-right: auto;
	gap: 0.5rem;
}
.przycisk_cof img {
	width: 1.6rem;
}

.przycisk_cof a:hover img,
.por_prz:hover {
	filter: contrast(84%);
}
.mob {
	display: flex;
	align-items: center;
	justify-content: space-around;
}
#portfolio {
	display: flex;
	align-items: center;
	margin: 2rem 0 1rem 0;
}

#portfolio img {
	width: 100%;
}

#nav {
	display: flex;
	align-items: center;
	justify-content: space-between;
	float: right;
	width: 100%;
	justify-content: flex-end;
}
.napis_portfolio {
	font-size: 2.5rem;
	letter-spacing: 0.5rem;
	font-weight: 900;
	color: #520644;
	text-shadow: -0.2rem 0rem 0px black, -0.2rem -0.2rem 0px #e600e5,
		-0.2rem 0.2rem 0px #f4b0f5;
}

.por_prz {
	display: block;
	width: 2.7rem;
	margin-left: 1rem;
}

.grafika_2 {
	display: none;
}

#check1:checked ~ #portfolio .por_prz {
	display: none;
}
#check1:checked ~ .grafika_2 {
	display: grid;
	grid-template-columns: repeat(3, minmax(0, 1fr));
	gap: 1em 1em;
	margin-bottom: 1rem;
}
#section_2 input {
	display: none;
}

#plakat {
	display: none;
}
#ilustracja {
	display: none;
}
#grafika_wyd {
	display: none;
}
#inne {
	display: none;
}
#animacja {
	display: none;
}
#check2:checked ~ #galeria #plakat {
	display: block;
	column-count: 4;
	column-gap: 1em;
}
#check3:checked ~ #galeria #ilustracja {
	display: block;
	column-count: 4;
	column-gap: 1em;
}
#check4:checked ~ #galeria #grafika_wyd {
	display: block;
	column-count: 4;
	column-gap: 1em;
}
video {
	width: 200%;
	height: auto;
}
#check5:checked ~ #galeria #inne {
	display: block;
	column-count: 4;
	column-gap: 1em;
}
#check6:checked ~ #galeria #animacja {
	display: block;
	column-count: 4;
	column-gap: 1em;
}
.obraz {
	display: inline-block;
	margin: 0 0 1em;
	width: 100%;
}

.oferta_2 a:hover > div,
.grafika_2 .label1:hover > div {
	text-decoration: none;
	color: #edb0ee;
	background-color: rgba(110, 60, 110, 1);
}

.label1:hover {
	cursor: pointer;
}

.oferta_cennik img {
	width: 100%;
}

.oferta_cennik {
	display: flex;
	flex-wrap: wrap;
}

.oferta_cennik_img {
	width: 25%;
}
.oferta_cennik_img_x2 {
	width: 50%;
}

.img_sekcja {
	width: 110%;
}
.formField {
	background-color: rgba(255, 255, 255, 0.582);
	border: 1px solid #edb0ee;
	border-radius: 3px;
	margin: 0.3rem 10% 2rem 10%;
	padding: 1rem 1%;
	width: 78%;
	height: 1rem;
}
textarea.formField {
	max-width: 78%;
	min-width: 78%;
	height: 70px;
}
#sendBtn {
	cursor: pointer;
	color: rgba(110, 60, 110, 1);
	background-color: #edb0ee;
	border-radius: 5px;
	transition: background-color, color, 0.5s;
	line-height: 3rem;
	font-size: 1.8rem;
	width: 80%;
	margin: 0 10%;
}
#send_form_status {
	border: 1px dashed #ccc;
	display: none;
	padding: 0 10px;
	margin: 10px 0;
}
.status_ok {
	color: #060;
}
.status_err {
	color: #f00;
}
form {
	font-size: 1.5rem;
	font-weight: 500;
}
#sendBtn:hover {
	color: #edb0ee;
	background-color: rgba(110, 60, 110, 1);
}
button {
	border: none;
}

button:focus {
	border: none;
	outline: none;
}
.formKon {
	font-size: 0.9rem;
}
form label {
	display: flex;
	justify-content: center;
	align-items: flex-end;
}

button:focus {
	outline: none !important;
}
@media (max-device-width: 480px) {
	video {
		width: 200%;
		height: auto;
	}
	#wrapper {
		max-width: 94%;
	}

	.font_mob {
		font-size: 2.5rem;
	}
	#section_1 {
		display: block;
		margin-top: 3rem;
	}
	.img_sekcja {
		width: 100%;
	}
	#check2:checked ~ #galeria #plakat {
		display: block;
		column-count: 2;
		column-gap: 1em;
	}
	#check3:checked ~ #galeria #ilustracja {
		display: block;
		column-count: 2;
		column-gap: 1em;
	}
	#check4:checked ~ #galeria #grafika_wyd {
		display: block;
		column-count: 2;
		column-gap: 1em;
	}
	#check5:checked ~ #galeria #inne {
		display: block;
		column-count: 2;
		column-gap: 1em;
	}
	#check6:checked ~ #galeria #animacja {
		display: block;
		column-count: 2;
		column-gap: 1em;
	}
	.ofertaa {
		display: block;
	}

	.ofertaa div:first-child {
		width: 100%;
	}
	.ofertaa div:last-child {
		width: 100%;
	}
	.ofertaa div:first-child img {
		width: 100%;
		margin-left: 0%;
	}
	.ofertaa div:last-child img {
		width: 100%;
		margin-top: 20px;
	}
	.oferta_2 {
		display: grid;
		grid-template-columns: repeat(1, minmax(0, 1fr));
		gap: 1em 1em;
		margin-bottom: 3rem;
	}
	.przycisk_cof a {
		margin-top: 2.5rem;
		margin-bottom: 40px;
		display: inline-flex;
		align-items: center;
		margin-right: auto;
		gap: 2rem;
		font-size: 3rem;
	}
	.przycisk_cof img {
		width: 5rem;
	}

	.oferta_cennik_img {
		width: 50%;
	}
	.oferta_cennik_img_x2 {
		width: 50%;
	}
	#check1:checked ~ .grafika_2 {
		display: grid;
		grid-template-columns: repeat(1, minmax(0, 1fr));
		gap: 1em 1em;
		margin-bottom: 3rem;
	}
	.menu {
		margin: 15px auto 0 auto;
		max-width: 100%;
		font-size: 30px;
	}

	#icon {
		font-size: 30px;
		display: flex;
		letter-spacing: 5px;
	}
	.oferta_first {
		width: 100%;
	}
	.oferta_last {
		display: none;
	}
	.przycisk {
		font-size: 5rem;
		margin-top: 0.1rem;
		width: 90%;
		text-align: center;
		padding: 2rem 0;
		box-shadow: 0 0 10px -4px gray;
		color: #ffffff;
		background-color: #9f77a5;
		border-radius: 25px;
		transition: background-color, color, 0.5s;
	}
	#napis img {
		width: 80%;
	}
	.kon_cen {
		flex-wrap: nowrap;
		justify-content: space-around;
		width: 100%;
	}
	.kontakt {
		font-size: 5rem;
		background-color: #edb0ee;
		width: 450px;
		height: 125px;
		text-align: center;
		padding-top: 30px;
		box-shadow: 3px 3px 15px -4px gray;
		color: rgba(110, 60, 110, 1);
		border-radius: 14px;
		transition: background-color, color, 0.5s;
	}
	.napis_portfolio {
		font-size: 7rem;
		letter-spacing: 0.5rem;
		font-weight: 900;
		color: #520644;
		text-shadow: -0.45rem 0rem 0px black, -0.45rem -0.45rem 0px #e600e5,
			-0.45rem 0.45rem 0px #f4b0f5;
	}
	.mob {
		display: flex;
		align-items: center;
		justify-content: space-around;
	}
	#portfolio {
		display: inline-block;
		align-items: center;
		margin: 2rem 0 1rem 0;
		width: 100%;
	}
	#portfolio img {
		width: 110%;
		margin-left: 0rem;
	}
	#nav {
		margin: 3rem 0;
		font-size: 3.5rem;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		justify-content: space-around;
		float: left;
		width: 100%;
	}
	.por_prz {
		display: block;
		width: 7rem;
		margin-left: 0rem;
	}
	.oferta_first #text_4 {
		font-size: 1.7em;
		font-weight: 300;
		line-height: 30px;
	}
	#text_5 {
		font-size: 7rem;
	}
	#text_1a {
		font-size: 6rem;
	}
	#text_2a {
		font-size: 5rem;
		letter-spacing: 8px;
	}
	.zapraszam {
		width: 100%;
	}
	#email {
		font-size: 2rem;
	}

	.formKon {
		font-size: 2rem;
	}
	form {
		font-size: 4rem;
		font-weight: 500;
	}
	.formField {
		font-size: 4rem;
		margin: 0.3rem 0 2rem 0;
		padding: 1rem 1%;
		width: 98%;
		height: 10rem;
	}
	textarea.formField {
		max-width: 98%;
		min-width: 98%;
		height: 30rem;
	}
	#sendBtn {
		line-height: 9rem;
		font-size: 7rem;
		width: 100%;
		margin: 0;
	}
	.oferta_obrazki a,
	.label1 {
		display: flex;
		flex-direction: column;
		align-items: center;
		margin-bottom: 1rem;
}
}
